path: /build/build/opencl-headers-dev-util-2024.05.08.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-util/opencl-headers -pv -t && \
    emerge -j ${JOBS} --nodeps dev-util/opencl-headers
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/opencl-headers && luet-portage --dir
    /pkgdir/opencl-headers dev-util/opencl-headers && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:701e94bb4332fada31309f8d854a2a7231badc3869ed8bf29b844a0fec6f9426
  package:
    name: opencl-headers
    version: 2024.05.08
    category: dev-util
    requires:
    - name: macaroni-funtoo-race14
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Unified C language headers for the OpenCL API
    uri:
    - https://github.com/KhronosGroup/OpenCL-Headers
    license: Apache-2.0
    buildtimestamp: 2024-08-18 13:50:11.493315066 +0000 UTC m=+91.744653616
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      emerge.packages: dev-util/opencl-headers
      kit: core-gl-kit
      original.package.name: dev-util/opencl-headers
      original.package.slot: "0"
      original.package.version: 2024.05.08
    treedir: /build/packages
  package_dir: /pkgdir/opencl-headers
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c48781894fb0082b48a49e0c80414e1a301554b53be24b2720192b1525527521
compressiontype: zstd
files:
- usr/include/CL/cl.h
- usr/include/CL/cl_d3d10.h
- usr/include/CL/cl_d3d11.h
- usr/include/CL/cl_dx9_media_sharing.h
- usr/include/CL/cl_dx9_media_sharing_intel.h
- usr/include/CL/cl_egl.h
- usr/include/CL/cl_ext.h
- usr/include/CL/cl_ext_intel.h
- usr/include/CL/cl_function_types.h
- usr/include/CL/cl_gl.h
- usr/include/CL/cl_gl_ext.h
- usr/include/CL/cl_half.h
- usr/include/CL/cl_icd.h
- usr/include/CL/cl_layer.h
- usr/include/CL/cl_platform.h
- usr/include/CL/cl_va_api_media_sharing_intel.h
- usr/include/CL/cl_version.h
- usr/include/CL/opencl.h
- usr/share/cmake/OpenCLHeaders/OpenCLHeadersConfig.cmake
- usr/share/cmake/OpenCLHeaders/OpenCLHeadersConfigVersion.cmake
- usr/share/cmake/OpenCLHeaders/OpenCLHeadersTargets.cmake
- usr/share/doc/opencl-headers-2024.05.08/README.md.bz2
- usr/share/pkgconfig/OpenCL-Headers.pc
- var/db/pkg/dev-util/opencl-headers-2024.05.08/BDEPEND
- var/db/pkg/dev-util/opencl-headers-2024.05.08/BUILD_TIME
- var/db/pkg/dev-util/opencl-headers-2024.05.08/CATEGORY
- var/db/pkg/dev-util/opencl-headers-2024.05.08/CBUILD
- var/db/pkg/dev-util/opencl-headers-2024.05.08/CFLAGS
- var/db/pkg/dev-util/opencl-headers-2024.05.08/CHOST
- var/db/pkg/dev-util/opencl-headers-2024.05.08/CONTENTS
- var/db/pkg/dev-util/opencl-headers-2024.05.08/COUNTER
- var/db/pkg/dev-util/opencl-headers-2024.05.08/CXXFLAGS
- var/db/pkg/dev-util/opencl-headers-2024.05.08/DEFINED_PHASES
- var/db/pkg/dev-util/opencl-headers-2024.05.08/DESCRIPTION
- var/db/pkg/dev-util/opencl-headers-2024.05.08/EAPI
- var/db/pkg/dev-util/opencl-headers-2024.05.08/FEATURES
- var/db/pkg/dev-util/opencl-headers-2024.05.08/HOMEPAGE
- var/db/pkg/dev-util/opencl-headers-2024.05.08/INHERITED
- var/db/pkg/dev-util/opencl-headers-2024.05.08/IUSE
- var/db/pkg/dev-util/opencl-headers-2024.05.08/IUSE_EFFECTIVE
- var/db/pkg/dev-util/opencl-headers-2024.05.08/KEYWORDS
- var/db/pkg/dev-util/opencl-headers-2024.05.08/LDFLAGS
- var/db/pkg/dev-util/opencl-headers-2024.05.08/LICENSE
- var/db/pkg/dev-util/opencl-headers-2024.05.08/PF
- var/db/pkg/dev-util/opencl-headers-2024.05.08/SIZE
- var/db/pkg/dev-util/opencl-headers-2024.05.08/SLOT
- var/db/pkg/dev-util/opencl-headers-2024.05.08/USE
- var/db/pkg/dev-util/opencl-headers-2024.05.08/environment.bz2
- var/db/pkg/dev-util/opencl-headers-2024.05.08/opencl-headers-2024.05.08.ebuild
- var/db/pkg/dev-util/opencl-headers-2024.05.08/repository
package_cacheimage: ""
runtime:
  name: opencl-headers
  version: 2024.05.08
  category: dev-util
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Unified C language headers for the OpenCL API
  uri:
  - https://github.com/KhronosGroup/OpenCL-Headers
  license: Apache-2.0
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    emerge.packages: dev-util/opencl-headers
    kit: core-gl-kit
    original.package.name: dev-util/opencl-headers
    original.package.slot: "0"
    original.package.version: 2024.05.08
